Get list privileges

Base URL
https://{kibana_url}
  • GET /api/lists/privileges
  • GET /s/{space_id}/api/lists/privileges
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Responses

Successful response

application/json
is_authenticated boolean required
listItems object required
application map string to boolean required
cluster map string to boolean required
has_all_requested boolean required
index map string to string to boolean required
username string required
lists object required
application map string to boolean required
cluster map string to boolean required
has_all_requested boolean required
index map string to string to boolean required
username string required

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}